/*
   Test FIxConvol

   $Id: tFIxConvol.c 1.3 2002/03/25 libtsp-v6r0a $
*/

#include <string.h>

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  int i, k;
  int Nx, Nh, Nout;
  float x[NMAX];
  float h[NMAX];

  k = 1;
  for (i = 0; k < argc - 1; ++k, ++i) {
    if (strcmp (argv[k], "//") == 0)
      break;
    sscanf (argv[k], "%g", &x[i]);
  }
  Nx = i;

  for (++k, i = 0; k < argc; ++k, ++i)
    sscanf (argv[k], "%g", &h[i]);
  Nh = i;

  VRfPrint (stdout, "x:", x, Nx);
  VRfPrint (stdout, "h:", h, Nh);
  Nout = Nx - (Nh-1);
  FIfConvol (x, x, Nout, h, Nh);
  VRfPrint (stdout, "x * h:", x, Nx);

  return 0;
}
